
#ifndef __TILEMAP_H__
#define __TILEMAP_H__

/* Constants */
#define N_TILES_X 8
#define N_TILES_Y 8
#define TILE_W 32
#define TILE_H 32
#define TILESH_W 5
#define TILESH_H 5
#define TILE_BW WID32
#define SCROLLMAPW 256
#define SCROLLMAPBW WID256
#define SCROLLMAPH 256

/* 68k routines */
extern void InitScrollMap(unsigned char* dst, unsigned char* bitmaps, char* tilemap);
extern void DrawTileLine(char* tilemap, char* tileset);
extern void DrawTunnel(unsigned char* texture, int Yoffset, unsigned char* vidmem);
extern void GPUsync();
extern void LoadCLUT(void* pal8, int ncolors);

#endif /* __TILEMAP_H__ */